API Reference

Retrieve All Context Pack Versions

Returns the list of all context pack versions for a context pack, sorted by version updated date in descending order.

Endpoint
GET https://api.zatomic.ai/v1/context/packs/{contextPackId}/versions

// Example
GET https://api.zatomic.ai/v1/context/packs/cpk_2qRzu8geIvfudcJTwP0pur4TbMJ/versions

Endpoint Response

A successful call returns a response that contains a list of context pack version objects.

HTTP Status Codes
200 OK The context pack versions were retrieved, or an empty list was returned.
500 Internal Server Error Something went wrong on Zatomic's end.
Response Body - Context Item Versions
[
   {
      "version_id": "ctv_2qRzu8qzlNOMhTrini2EKCDh5r6",
      "context_pack_id": "cpk_2qRzu8geIvfudcJTwP0pur4TbMJ",
      "created": "2024-12-19T20:33:16.076891Z",
      "updated": "2024-12-19T20:39:13.026997Z",
      "is_primary": true,
      "is_locked": false,
      "locked_by": null,
      "name": null,
      "items": [],
      "prompts": []
   }
]